(defvar conjunction-dictionary nil)

(setq conjunction-dictionary
      '("i" "a" "oraz" "te" "take" "rwnie" "zarwno"
	"ale" "lecz" "jednak" "jednake" "za"
	"albo" "lub" "czy" "ani" "bd"
	"czyli" "wic" "tote" "zatem" "zarwno"
	"jako" "bo" "dlatego" "e" "poniewa" "albowiem"
	"bowiem" "wskutek" "i" "gdy" "eby" "aby" "by"
	"jeli" "jeeli" "jak" "jakby" "gdyby" "skoro"
	"chocia" "cho" "choby" "chociaby"
	"ni" "niby" "nieli"
	"im" "tym"
	"kiedy" "gdy" "jak" "nim" "zanim" "pki" "dopki"
	"dopty" "dopki" ))

(defun analyze-conjunction (word)
  (when (member word conjunction-dictionary :test #'string-equal)
    word))

(defun get-conjunction (word)
  (let ((x (analyze-conjunction word)))
    (when x
      (list x))))
  
